Enrich people by email (start)

New credit type

Results received from this endpoint consume Search credits. See Credits & Quotas for details.

Search for a person given their email.

The endpoint immediately returns an ID you can use to retrieve the enrichment result. Once the enrichment completes, the result may include the following fields (if available): firstName, lastName, company, jobTitle, country, linkedInUrl.

Credit usage: Finding a LinkedIn URL costs 15 Search credits. See Credits & Quotas for details.

This enrichment runs asynchronously. Use notificationOptions.webhookUrl to receive the result via webhook when ready. If needed, you can poll for results with GET /v2/people/enrich/:id, but this is discouraged as it is less efficient and may introduce unnecessary load and delays.

POST
/v2/people/find-by-email

Authorization

AuthorizationRequiredBearer <token>

In: header

Request Body

application/jsonRequired

Enrichment Request

notificationOptionsobject
peopleRequiredarray<object>
curl -X POST "https://api.surfe.com/v2/people/find-by-email" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "notificationOptions": {
      "webhookUrl": ""
    },
    "people": [
      {
        "email": "david.chevalier@surfe.com",
        "externalID": "external-id"
      }
    ]
  }'

Created

{
  "enrichmentCallbackURL": "string",
  "enrichmentID": "string"
}